Subject: RE: Compilig Kernel 2.4.0-test1-ac22-rmk1

From: Jeff Sutherland <[email-masked]>
Date: Wed, 21 Jun 2000 08:58:18 -0400

> Hello,
> 
> I wanted to compile the kernel 2.4.0-test1-ac22 with the 
> patch_2_4_0-test1-ac22-rmk1
> for an assabet board. I don´t want to use the LCD so I choose 
> the options
> "Standart/generic (dump) serial support". But I got an error messages:
> 
> serial.c:300: `STD_COM4_FLAGS' undeclared here (not in a function)
> serial.c:300: initializer elemment is not constant
> serial.c:300: (near initialization for `rs_tabel[3].flags')
> serial.c:300: parse error before `EXTA_SERIAL_PORT_DEFNS'
> 
> I also want to use the PCMCIA Netcard on the assabet so I enabled
> PCMCIA/CardBuss support and PCMCIA network device support.
> But I got an error message:
> 
> drivers/pcmcia/pcmcia.o: In function `cis_readable':
> drivers/pcmcia/pcmcia.o(.text+0x4e20): undefined reference to 
> `__arch_ioremap'
> drivers/pcmcia/pcmcia.o(.text+0x4e20): relocation truncated 
> to fit: R_ARM_PC24 __arch_ioremap
> drivers/pcmcia/pcmcia.o(.text+0x4e98): undefined reference to 
> `__arch_ioremap'
> drivers/pcmcia/pcmcia.o(.text+0x4e98): relocation truncated 
> to fit: R_ARM_PC24 __arch_ioremap 
> 
> And the file SA1100 was missing in the /include/asm/arch/ directory,
> so I copied it from an older kernelversion. So how can I 
> enable PCMCIA and the
> in/output dump to the serial port. I use gcc version 2.95.2 
> 20000516 and binutils
> 2.10.
> 
> Thanks,
> 
> Ralf

You are missing a patch to support the Assabet.  Use -ac19, not -ac22, then
apply Nicolas Pitre's patch -np1 from ftp.netwinder.org/users/n/nico.  After
applying all the patches, simply 'make assabet_config', then make
menuconfig, accept all defaults (but check for pc card support), make dep,
make zImage, and that's it.  The default Assabet config is to not use the
LCD display, but put the console out serial port 1.  Attach the Neponset
board, turn on Neponset support in config, and use its port3 instead if you
wish.

//Jeff

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]